[devel] ruby-gnome2-3.3.6-alt1: Sisyphus/x86_64 test rebuild failed

majioa yandex.ru
20 00:02:17 MSK 2019


,

 ,    vte?

19.08.2019, 09:23, "ALT beekeeper" <hiver  altlinux.org>:
> Package: ruby-gnome2-3.3.6-alt1
> Status: Sisyphus/x86_64 test rebuild failed
> Cannot build this package.
> Please investigate.
> Excerpt from build log:
>
> gem 'atk' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/atk
> gemfile 'ruby-gnome2' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/webkit2-gtk/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/webkit-gtk/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/vte3/dependency-check ]
> [ rakefile 'vte3-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/vte3-no-gi ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/rsvg2/dependency-check ]
> [ rakefile 'rsvg2-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/rsvg2-no-gi ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/poppler/dependency-check ]
> [ rakefile 'poppler-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/poppler-no-gi ]
> [ rakefile 'pango-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/pango-no-gi ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gtksourceview4/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gtksourceview3/dependency-check ]
> [ rakefile 'gtksourceview3-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gtksourceview3-no-gi ]
> [ rakefile 'fixture' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gtk3/test/fixture ]
> [ rakefile 'gtk3-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gtk3-no-gi ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gsf/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/goffice/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gnumeric/dependency-check ]
> [ rakefile 'resource' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gio2/test/fixture/resource ]
> [ rakefile 'fixture' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gio2/test/fixture ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gegl/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gdk_pixbuf2/dependency-check ]
> [ rakefile 'gdk_pixbuf2-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gdk_pixbuf2-no-gi ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gdk4/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gdk3/dependency-check ]
> [ rakefile 'gdk3-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/gdk3-no-gi ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/clutter/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/clutter-gtk/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/clutter-gstreamer/dependency-check ]
> [ rakefile 'dependency-check' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/atk/dependency-check ]
> [ rakefile 'atk-no-gi' at /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/atk-no-gi ]
> (ruby 2.5.5 x86_64-linux)
>
> - - PRECONFIG - - - - - - - - - - - - - - - - - - - - - - - - - - - -
>
> SetupConfig was saved. Edit to customize configuration.
>
> - - COMPILE - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
>
> [/usr/src/RPM/BUILD/ruby-gnome2-3.3.6/vte/ext/vte]$ ruby extconf.rb -- --use-system-libraries --enable-debug-build
> checking for --enable-debug-build option... yes
> checking for -Wall option to compiler... yes
> checking for -Waggregate-return option to compiler... yes
> checking for -Wcast-align option to compiler... yes
> checking for -Wextra option to compiler... yes
> checking for -Wformat=2 option to compiler... yes
> checking for -Winit-self option to compiler... yes
> checking for -Wlarger-than-65500 option to compiler... yes
> checking for -Wmissing-declarations option to compiler... yes
> checking for -Wmissing-format-attribute option to compiler... yes
> checking for -Wmissing-include-dirs option to compiler... yes
> checking for -Wmissing-noreturn option to compiler... yes
> checking for -Wmissing-prototypes option to compiler... yes
> checking for -Wnested-externs option to compiler... yes
> checking for -Wold-style-definition option to compiler... yes
> checking for -Wpacked option to compiler... yes
> checking for -Wp,-D_FORTIFY_SOURCE=2 option to compiler... no
> checking for -Wpointer-arith option to compiler... yes
> checking for -Wswitch-default option to compiler... yes
> checking for -Wswitch-enum option to compiler... yes
> checking for -Wundef option to compiler... yes
> checking for -Wout-of-line-declaration option to compiler... no
> checking for -Wunsafe-loop-optimizations option to compiler... yes
> checking for -Wwrite-strings option to compiler... yes
> checking for Homebrew... no
> checking for vte... yes
> *** extconf.rb failed ***
> Could not create Makefile due to some reason, probably lack of necessary
> libraries and/or headers. Check the mkmf.log file for more details. You may
> need configuration options.
>
> Provided configuration options:
> --with-opt-dir
> --without-opt-dir
> --with-opt-include
> --without-opt-include=${opt-dir}/include
> --with-opt-lib
> --without-opt-lib=${opt-dir}/lib64
> --with-make-prog
> --without-make-prog
> --srcdir=.
> --curdir
> --ruby=/usr/bin/$(RUBY_BASE_NAME)
> --enable-debug-build
> --with-pkg-config
> --without-pkg-config
> --with-override-variables
> --without-override-variables
> /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:319:in `parse_pc': .pc for libthai doesn't exist. (RuntimeError)
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:218:in `declaration'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:232:in `collect_cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:167:in `cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:234:in `block in collect_cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:233:in `collect'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:233:in `collect_cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:167:in `cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:237:in `block in collect_cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:236:in `collect'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:236:in `collect_cflags'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:176:in `cflags_only_other'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:496:in `cflags_only_other'
> from /usr/lib/ruby/gems/2.5.0/gems/pkg-config-1.3.7/lib/pkg-config.rb:543:in `have_package'
> from /usr/src/RPM/BUILD/ruby-gnome2-3.3.6/glib2/lib/mkmf-gnome2.rb:450:in `required_pkg_config_package'
> from extconf.rb:33:in `<main>'
> /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/base.rb:78:in `bash': system("/usr/bin/ruby" "extconf.rb" "--" "--use-system-libraries" "--enable-debug-build") failed (RuntimeError)
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/base.rb:86:in `ruby'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:17:in `block (3 levels) in configure'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:15:in `chdir'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:15:in `block (2 levels) in configure'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:12:in `each'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:12:in `block in configure'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:11:in `each'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/compiler.rb:11:in `configure'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/session.rb:141:in `compile'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/session.rb:118:in `build'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/command.rb:121:in `run'
> from /usr/lib/ruby/gems/2.5.0/gems/setup-5.999.3/lib/setup/command.rb:18:in `run'
> from /usr/bin/setup.rb:27:in `<main>'
> error: Bad exit status from /usr/src/tmp/rpm-tmp.86017 (%build)
>
> RPM build errors:
> Bad exit status from /usr/src/tmp/rpm-tmp.86017 (%build)
> Command exited with non-zero status 1
> 17.07user 1.79system 0:22.32elapsed 84%CPU (0avgtext+0avgdata 26588maxresident)k
> 0inputs+0outputs (0major+328534minor)pagefaults 0swaps
> hsh-rebuild: rebuild of `ruby-gnome2-3.3.6-alt1.src.rpm' failed.
> Command exited with non-zero status 1
>
> --
> Sincerely yours,
> ALT beekeeper



--

 
about.me/majioa



Devel